xine-lib: dvd_input_class_t Struct Reference

xine-lib 1.2.12

Data Fields
dvd_input_class_t Struct Reference

## Data Fields
input_class_t | input_class
xine_t * | xine
const char * | dvd_device
char * | eject_device
uint32_t | user_conf_version
int32_t | user_read_ahead
int32_t | user_seek_mode
int32_t | user_region
char | user_lang4 [4]
int32_t | user_play_single_chapter
int32_t | user_skip_mode

## Field Documentation

## ◆ dvd_device

const char* dvd_input_class_t::dvd_device

Referenced by device_change_cb(), and init_class().

## ◆ eject_device

char* dvd_input_class_t::eject_device

Referenced by dvd_class_dispose(), and dvd_class_eject_media().

## ◆ input_class

input_class_t dvd_input_class_t::input_class

Referenced by apply_cfg(), dvd_handle_events(), dvd_parse_try_open(), dvd_plugin_read_block(), init_class(), and update_cfg().

## ◆ user_conf_version

uint32_t dvd_input_class_t::user_conf_version

Referenced by dvd_class_get_instance(), dvd_plugin_read_block(), init_class(), language_changed_cb(), read_ahead_cb(), region_changed_cb(), and seek_mode_cb().

## ◆ user_lang4

char dvd_input_class_t::user_lang4[4]

Referenced by apply_cfg(), init_class(), and update_cfg().

## ◆ user_play_single_chapter

int32_t dvd_input_class_t::user_play_single_chapter

Referenced by init_class(), and play_single_chapter_cb().

## ◆ user_read_ahead

int32_t dvd_input_class_t::user_read_ahead

Referenced by apply_cfg(), init_class(), and update_cfg().

## ◆ user_region

int32_t dvd_input_class_t::user_region

Referenced by apply_cfg(), init_class(), and update_cfg().

## ◆ user_seek_mode

int32_t dvd_input_class_t::user_seek_mode

Referenced by apply_cfg(), dvd_plugin_read_block(), init_class(), and update_cfg().

## ◆ user_skip_mode

int32_t dvd_input_class_t::user_skip_mode

Referenced by init_class(), and skip_changed_cb().

## ◆ xine

xine_t* dvd_input_class_t::xine

Referenced by dvd_class_dispose(), dvd_class_eject_media(), and init_class().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/input/input_dvd.c